# azure.mgmt.dns.v2018_05_01 package

## Submodules

- azure.mgmt.dns.v2018_05_01.models module
- azure.mgmt.dns.v2018_05_01.operations module

## Module contents

class `azure.mgmt.dns.v2018_05_01.``DnsManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  The DNS Management Client.

  Variables:

  - config (DnsManagementClientConfiguration) – Configuration for client.
  - record_sets (azure.mgmt.dns.v2018_05_01.operations.RecordSetsOperations) – RecordSets operations
  - zones (azure.mgmt.dns.v2018_05_01.operations.ZonesOperations) – Zones operations
  - dns_resource_reference (azure.mgmt.dns.v2018_05_01.operations.DnsResourceReferenceOperations) – DnsResourceReference operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Specifies the Azure subscription ID, which uniquely identifies the Microsoft Azure subscription.
  - base_url (str) – Service URL

class `azure.mgmt.dns.v2018_05_01.``DnsManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for DnsManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Specifies the Azure subscription ID, which uniquely identifies the Microsoft Azure subscription.
  - base_url (str) – Service URL